status-notifier-item-0.3.1.0: A wrapper over the StatusNotifierItem/libappindicator dbus specification

Safe Haskell | None
Language | Haskell2010

StatusNotifier.Watcher.Constants

# Documentation

statusNotifierWatcherString :: String Source #

getWatcherInterfaceName :: String -> InterfaceName Source #

data ItemEntry Source #

Constructors

ItemEntry |

Fields

- serviceName :: BusName
- servicePath :: ObjectPath

#### Instances

Instances details

Show ItemEntry Source # |
Instance details Defined in StatusNotifier.Watcher.Constants Methods showsPrec :: Int -> ItemEntry -> ShowS Source # show :: ItemEntry -> String Source # showList :: [ItemEntry] -> ShowS Source #
Eq ItemEntry Source # |
Instance details Defined in StatusNotifier.Watcher.Constants Methods (==) :: ItemEntry -> ItemEntry -> Bool Source # (/=) :: ItemEntry -> ItemEntry -> Bool Source #

data WatcherParams Source #

Constructors

WatcherParams |

Fields

- watcherNamespace :: String
- watcherPath :: String
- watcherStop :: IO ()
- watcherDBusClient :: Maybe Client

defaultWatcherParams :: WatcherParams Source #

defaultWatcherInterfaceName :: InterfaceName Source #

serviceArg :: SignalArg Source #

watcherSignals :: [Signal] Source #

watcherClientGenerationParams :: GenerationParams Source #